<div class="summary">
<h1>Sommaire</h1>

@[def toc_printer(items, fct, level)]
@[if level > 0 and len(items) > 0]
  <ul>
  @[for item in items]
    <li>
      <a href="#@item.uid"><span>@item.title</span></a>
      @fct(item.children, fct, level - 1)
    </li>
  @[end for]
  </ul>
@[end if]
@[end def]

@toc_printer(kooki.toc, toc_printer, level)
</div>